Current notebook routes for document CRUD, config, cells, files, kernels, outputs, imports, and notebook session lifecycle. Notebook APIs are split between document routes under /notebooks and runtime session routes under /notebooks/sessions.

Document Endpoints

  • Notebook CRUD plus defaults: GET/POST /notebooks, GET/PUT/DELETE /notebooks/{id}, GET /notebooks/config
  • Cells: GET /notebooks/{id}/cells, GET /notebooks/{id}/cells/by-index/{cellIndex}, GET /notebooks/{id}/cells/{cellId}, POST /notebooks/{id}/cells, PUT /notebooks/{id}/cells/{cellId}, PUT /notebooks/{id}/cells/{cellId}/move, PUT /notebooks/{id}/cells/{cellId}/source, DELETE /notebooks/{id}/cells/{cellId}
  • Notebook metadata and sharing: GET /notebooks/{id}/events, GET /notebooks/{id}/collaborators, POST /notebooks/{id}/duplicate
  • Import and export: POST /notebooks/import, GET /notebooks/{id}/export
  • Files: GET /notebooks/{id}/files, POST /notebooks/{id}/files/upload, GET /notebooks/{id}/files/content, POST /notebooks/{id}/files/directory, POST /notebooks/{id}/files/move, POST /notebooks/{id}/files/delete
  • Kernel and instance controls: POST /notebooks/{id}/kernel/execute, POST /notebooks/{id}/kernel/interrupt, POST /notebooks/{id}/kernel/restart, POST /notebooks/{id}/kernel/keepalive, POST /notebooks/{id}/kernel/wake, PUT /notebooks/{id}/kernel/ttl-policy, GET /notebooks/{id}/instance, PUT /notebooks/{id}/instance
  • Outputs: GET /notebooks/{id}/outputs/{cellId}, DELETE /notebooks/{id}/outputs/{cellId}, DELETE /notebooks/{id}/outputs

Session Endpoints

ActionEndpoint
List sessionsGET /notebooks/sessions
Create sessionPOST /notebooks/sessions
Get sessionGET /notebooks/sessions/{id}
Delete sessionDELETE /notebooks/sessions/{id}
Stop sessionPUT /notebooks/sessions/{id}/stop
Wake sessionPUT /notebooks/sessions/{id}/wake

Key Pages